### Virtual Method

# Soup AuthDomain challenge

#### Declaration [src]

    char*
    challenge (
      SoupAuthDomain* domain,
      SoupServerMessage* msg
    )

#### Description [src]

Adds a “WWW-Authenticate” or “Proxy-Authenticate” header to `msg`.

It requests that the client authenticate, and sets `msg`‘s status accordingly.

This is used by `SoupServer` internally and is probably of no use to anyone else.

#### Parameters

`msg`

  Type: `SoupServerMessage`

  A `SoupServerMessage`.

  The data is owned by the caller of the function.

#### Return value

Type: `char*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.